Som MacWorld tidigare skrivit var Bankids säkerhetsprogram inte förberett för Snow Leopard när systemet släpptes. Många kunder stängdes ute från sin internetbank och andra tjänster. Först kom en tillfällig lösning men nu finns en version av programmet som ska vara helt kompatibelt med Snow Leopard.

Det ska ha fullt stöd för bankid under Snow Leopard och kan köras med Safari, både i 32- och 64-bitarsläge, samt i Firefox.

Ladda ner och installera här